#
# spec file for package plasma-branding-Kalpa
#
# Copyright (c) 2025 SUSE LLC
# Copyright (c) 2021 SUSE Software Solutions GmbH
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           plasma-branding-Kalpa
Version:        20250618
Release:        1.1
Summary:        Kalpa Desktop default settings
License:        BSD-3-Clause
URL:            https://codeberg.org/KalpaDesktop/plasma-branding-Kalpa
Source:         %{name}-%{version}.tar.gz
BuildRequires:  flatpak
BuildRequires:  polkit
BuildRequires:  sudo
BuildRequires:  systemd-rpm-macros
BuildRequires:  transactional-update
Requires:       flatpak
Requires:       kdialog
Requires:       polkit
Requires:       sound-theme-freedesktop
Requires:       sudo
Requires:       transactional-update
Conflicts:      gnome-branding-MicroOS
Provides:       plasma-branding = %{version}
Provides:       plasma-branding-MicroOS = %{version}
# Do not obsolete plasma-branding-MicroOS just yet
# Obsoletes:      plasma-branding-MicroOS
Conflicts:      plasma-branding-MicroOS = %{version}
Conflicts:      plasma-branding = %{version}
Supplements:    (plasma and branding-Kalpa)
BuildArch:      noarch

%description
This package provides default configurations and applications for openSUSE Kalpa.

%prep
%autosetup -p1

%build

%install
install -d %{buildroot}%{_datadir}/kalpa
install -m0644 usr/share/kalpa/flathub.flatpakrepo %{buildroot}%{_datadir}/kalpa
install -d %{buildroot}%{_distconfdir}/skel/.config/autostart
%ifnarch aarch64
install -m0644 usr/etc/skel/.config/autostart/kalpa-firstboot.desktop %{buildroot}%{_distconfdir}/skel/.config/autostart/kalpa-firstboot.desktop
install -d %{buildroot}%{_bindir}
install -m0755 usr/bin/kalpa-firstboot %{buildroot}%{_bindir}/kalpa-firstboot
%endif
%ifarch aarch64
install -m0644 usr/etc/skel/.config/autostart/kalpa-firstboot-aarch64.desktop %{buildroot}%{_distconfdir}/skel/.config/autostart/kalpa-firstboot-aarch64.desktop
install -d %{buildroot}%{_bindir}
install -m0755 usr/bin/kalpa-firstboot-aarch64 %{buildroot}%{_bindir}/kalpa-firstboot-aarch64
%endif
install -d %{buildroot}%{_distconfdir}/transactional-update.conf.d
install -m644 usr/etc/transactional-update.conf.d/50-desktop.conf %{buildroot}%{_distconfdir}/transactional-update.conf.d/50-desktop.conf
install -d %{buildroot}%{_datadir}/kio/servicemenus
install -m0644 usr/share/kio/servicemenus/ark-addtoservicemenu.desktop %{buildroot}%{_datadir}/kio/servicemenus/ark-addtoservicemenu.desktop
install -m0644 usr/share/kio/servicemenus/ark-servicemenu.desktop %{buildroot}%{_datadir}/kio/servicemenus/ark-servicemenu.desktop
install -d %{buildroot}%{_userunitdir}
install -m0644 usr/lib/systemd/user/distrobox-upgrade-all.service %{buildroot}%{_userunitdir}/distrobox-upgrade-all.service
install -m0644 usr/lib/systemd/user/distrobox-upgrade-all.timer %{buildroot}%{_userunitdir}/distrobox-upgrade-all.timer
install -d %{buildroot}%{_distconfdir}/sudoers.d/
install -m0640 usr/etc/sudoers.d/50-kalpa %{buildroot}%{_distconfdir}/sudoers.d/50-kalpa
install -d %{buildroot}%{_datadir}/polkit-1/rules.d/
install -m0444 usr/share/polkit-1/rules.d/49-kalpa.rules %{buildroot}%{_datadir}/polkit-1/rules.d/49-kalpa.rules
install -d %{buildroot}%{_prefix}/lib/sddm/sddm.conf.d/
install -m0644 usr/lib/sddm/sddm.conf.d/10-wayland.conf %{buildroot}%{_prefix}/lib/sddm/sddm.conf.d/10-wayland.conf
install -d %{buildroot}%{_prefix}/lib/systemd/user/transactional-update-notifier.d/
install -m0644 usr/lib/systemd/user/transactional-update-notifier.d/set-notification-priority.conf %{buildroot}%{_prefix}/lib/systemd/user/transactional-update-notifier.d/set-notification-priority.conf
install -m0644 usr/lib/systemd/user/kalpa-discover-update.timer %{buildroot}%{_userunitdir}/kalpa-discover-update.timer
install -m0644 usr/lib/systemd/user/kalpa-discover-update.service %{buildroot}%{_userunitdir}/kalpa-discover-update.service

%pre
%systemd_user_pre distrobox-upgrade-all.service
%systemd_user_pre distrobox-upgrade-all.timer
%systemd_user_pre kalpa-discover-update.service
%systemd_user_pre kalpa-discover-update.timer

%post
%systemd_user_post distrobox-upgrade-all.service
%systemd_user_post distrobox-upgrade-all.timer
%systemd_user_post kalpa-discover-update.service
%systemd_user_post kalpa-discover-update.timer

%preun
%systemd_user_preun distrobox-upgrade-all.service
%systemd_user_preun distrobox-upgrade-all.timer
%systemd_user_preun kalpa-discover-update.service
%systemd_user_preun kalpa-discover-update.timer

%files
%license COPYING
%dir %{_datadir}/kalpa
%{_datadir}/kalpa/flathub.flatpakrepo
%dir %{_distconfdir}/skel/.config/autostart
%dir %{_datadir}/kio
%dir %{_datadir}/kio/servicemenus
%{_datadir}/kio/servicemenus/*.desktop
%ifnarch aarch64
%config(noreplace) %{_distconfdir}/skel/.config/autostart/kalpa-firstboot.desktop
%{_bindir}/kalpa-firstboot
%endif
%ifarch aarch64
%config(noreplace) %{_distconfdir}/skel/.config/autostart/kalpa-firstboot-aarch64.desktop
%{_bindir}/kalpa-firstboot-aarch64
%endif
%dir %{_distconfdir}/transactional-update.conf.d
%{_distconfdir}/transactional-update.conf.d/50-desktop.conf
%{_userunitdir}/distrobox-upgrade-all.service
%{_userunitdir}/distrobox-upgrade-all.timer
%{_userunitdir}/kalpa-discover-update.timer
%{_userunitdir}/kalpa-discover-update.service
%{_distconfdir}/sudoers.d/50-kalpa
%{_datadir}/polkit-1/rules.d/49-kalpa.rules
%dir %{_prefix}/lib/sddm
%dir %{_prefix}/lib/sddm/sddm.conf.d
%{_prefix}/lib/sddm/sddm.conf.d/10-wayland.conf
%dir %{_userunitdir}/transactional-update-notifier.d
%{_userunitdir}/transactional-update-notifier.d/set-notification-priority.conf

%changelog
* Wed Jun 18 2025 Shawn Dunn <sfalken@opensuse.org>
- Bump version to 20250618
- Change to using release tarball
* Tue Jun 17 2025 Shawn Dunn <sfalken@opensuse.org>
- Renamed flatpak-update to kalpa-discover-update to reduce
  potential confusion with the update services provided by the
  flatpak package
* Thu Jun 12 2025 Shawn Dunn <sfalken@opensuse.org>
- Update to 20250612
- Added:
  * 10-wayland.conf
  * set-notification-priority.conf
  * flatpak-update.service
  * flatpak-update.timer
* Wed Oct  9 2024 Shawn Dunn <sfalken@opensuse.org>
- Move servicemenus to %%{_datadir}/kio/servicemenus
- Migrate configuration files from %%{_sysconfdir} to
  %%{_distconfdir}
* Mon Oct  7 2024 Enrico Belleri <kilgore.trout@idesmi.eu>
- Add exec permission to ark-addtoservicemenu.desktop,
  ark-servicemenu.desktop (boo#1224070)
* Tue Jun 25 2024 Enrico Belleri <kilgore.trout@idesmi.eu>
- Added for contextual menus in dolphin with ark flatpak
  (from plasma-branding-MicroOS) (boo#1224070):
  * ark-addtoservicemenu.desktop
  * ark-servicemenu.desktop
* Thu May 30 2024 Shawn Dunn <sfalken@opensuse.org>
- Added Conflicts: plasma-branding-MicroOS
* Thu May 30 2024 Gerardo Gomez Rodriguez <gerardo.gomez@tutanota.com>
- Removed Obsolets from spec file to avoid collision with plasma-branding-MicroOS
* Mon Apr  1 2024 Shawn Dunn <sfalken@opensuse.org>
- Updated kalpa-firstboot and kalpa-firstboot-aarch64 for Plasma6
- Updated version to 202400401
* Tue Jan  2 2024 dopice <0xdopice@protonmail.com>
- Use cURL instead of ping for online check
* Wed Dec 27 2023 Shawn Dunn <sfalken@opensuse.org>
- Added eval to kalpa-firstboot and kalpa-firstboot-aarch64
  (boo#1218367)
* Wed Dec 27 2023 Shawn Dunn <sfalken@opensuse.org>
- Updated to 20231227
- Fixed typos in kalpa-firstboot and kalpa-firstboot-aarch64
  (boo#1218367)
  * Removed improper "" around $dbusRef
  * Corrected PATH for flathub remote
  * Removed installation of kwrite flatpak, GUI text editor is
    being provided via RPM in the pattern
* Mon Dec 18 2023 Shawn Dunn <sfalken@opensuse.org>
- Updated to 20231218
- Fixed spacing/formatting issues
- Added:
  * BuildRequires/Requires: polkit
  * BuildRequires/Requires: sudo
- Changed Provides and Obseletes to clear some rpmlint errors
- Moved 50-kalpa sudoers file from sysconfdir to distconfdir
* Sun Dec 10 2023 Shawn Dunn <sfalken@opensuse.org>
- Fixed typo in 49-kalpa.rules
* Mon Oct 23 2023 Natasha Ament <stacheldrahtje@gmail.com>
- extra script to cater aarch64 with an rpm for MozillaFirefox as
  a flatpak for it does not exist on flathub.org
- changed spec file to call the right script %%ifarch aarch64
* Wed Oct  4 2023 Shawn Dunn <sfalken@opensuse.org>
- Add:
  * 50-kalpa
  * 49-kalpa.rules
- Enables new sudo rule to use userpass for sudo
* Fri Sep 22 2023 Enrico Belleri <kilgore.trout@idesmi.eu>
- Simplify kalpa-firstboot
- Add distrobox-upgrade-all.{service,timer} (from Aeon)
- Provides plasma-branding-MicroOS
* Tue Jun 27 2023 Shawn Dunn <sfalken@opensuse.org>
- Rename to plasma-branding-Kalpa
- 20230627
* Fri May 19 2023 Shawn Dunn <sfalken@opensuse.org>
- Add Ark to default flatpak installation script (boo#1211555)
- 20230519
* Thu Apr 20 2023 Richard Brown <rbrown@suse.com>
- Remove unneeded cleanup of desktop drop-in
- 20230420
* Wed Apr 19 2023 Richard Brown <rbrown@suse.com>
- Correct location for Desktop drop-in config
- Clean up invalid desktop drop-in file
- 20230419
* Fri Mar 24 2023 Richard Brown <rbrown@suse.com>
- Use new transactional-update drop-in config for Desktop
  notification configuration
- 20230323
* Tue Feb 14 2023 Shawn Dunn <sfalken@opensuse.org>
- Reverted prior commit, will investigate alternate method.
  * https://build.opensuse.org/request/show/1065543
- 20230214
* Thu Feb  2 2023 Shawn Dunn <sfalken@opensuse.org>
- Added kcm-about-distrorc (boo#1207873)
  * Changes kinfocenter "About" to display MicroOS logo and Link to
  MicroOS Desktop wiki, rather than Geeko and the main website.
- 20230202
* Thu Jan 26 2023 Syds Bearda <opensuse@syds.eu>
- Correct the transactional-update reboot method for KDE Desktop
- 20230126
* Thu Aug  4 2022 Shawn Dunn <sfalken@cloverleaf-linux.org>
- Add Conflicts: gnome-branding-MicroOS
* Mon Jul 11 2022 Shawn Dunn <sfalken@cloverleaf-linux.org>
- Removed kwrite from the flatpak installations.  Kate is already in the base image.
